Patchwork [meta-oe,25/29] openldap: add dependency on util-linux

login
register
mail settings
Submitter Martin Jansa
Date July 24, 2013, 12:41 p.m.
Message ID <d8a4abe46ca4fed388fb27a5386dc1c79116e0a2.1374669516.git.Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/54407/
State Accepted, archived
Commit cc3b69a94b86ad39fec3140b6d56c0d86497b297
Headers show

Comments

Martin Jansa - July 24, 2013, 12:41 p.m.
* openldap-slapd was sometime depending on util-linux-libuuid
  add dependency to explicitly enable it

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-oe/recipes-support/openldap/openldap_2.4.23.bb | 2 ++
 1 file changed, 2 insertions(+)

Patch

diff --git a/meta-oe/recipes-support/openldap/openldap_2.4.23.bb b/meta-oe/recipes-support/openldap/openldap_2.4.23.bb
index 1121008..a565e89 100644
--- a/meta-oe/recipes-support/openldap/openldap_2.4.23.bb
+++ b/meta-oe/recipes-support/openldap/openldap_2.4.23.bb
@@ -20,6 +20,8 @@  SRC_URI += "file://initscript"
 SRC_URI[md5sum] = "90150b8c0d0192e10b30157e68844ddf"
 SRC_URI[sha256sum] = "5a5ede91d5e8ab3c7f637620aa29a3b96eb34318a8b26c8eef2d2c789fc055e3"
 
+DEPENDS = "util-linux"
+
 PR = "r1"
 # The original top.mk used INSTALL, not INSTALL_STRIP_PROGRAM when
 # installing .so and executables, this fails in cross compilation